summaryrefslogtreecommitdiffstats
path: root/development/kotlin/kotlin.SlackBuild
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2017-05-28 09:47:38 +0200
committer Willy Sudiarto Raharjo2017-06-03 03:00:05 +0200
commitbecbe6fb2c277ade67ac3cc6619bf5d9697c68a6 (patch)
tree3e57226cafdd58be01959e8c4c344604ffcf601c /development/kotlin/kotlin.SlackBuild
parent101da1ea2b2108cb469657aa132015d911f73f81 (diff)
downloadslackbuilds-becbe6fb2c277ade67ac3cc6619bf5d9697c68a6.tar.gz
development/kotlin: Added (Kotlin Compiler)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'development/kotlin/kotlin.SlackBuild')
-rw-r--r--development/kotlin/kotlin.SlackBuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/development/kotlin/kotlin.SlackBuild b/development/kotlin/kotlin.SlackBuild
new file mode 100644
index 0000000000..1975dbd582
--- /dev/null
+++ b/development/kotlin/kotlin.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for kotlin
+
+# Copyright 2017 Willy Sudiarto Raharjo <willysr@slackbuilds.org
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=kotlin
+SRCNAM=kotlin-compiler
+VERSION=${VERSION:-1.1.2_2}
+SRCVER=$(echo $VERSION | tr _ -)
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf kotlinc
+unzip $CWD/$SRCNAM-$SRCVER.zip
+cd kotlinc
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd bin
+setconf kotlin DIR /usr/bin
+setconf kotlinc KOTLIN_HOME "/usr/share/kotlin"
+setconf kotlinc-js DIR /usr/bin
+setconf kotlinc-jvm DIR /usr/bin
+cd ..
+
+mkdir -p $PKG/usr/{bin,share/kotlin/}
+mkdir -p $PKG/usr/share/kotlin/{lib,licenses}
+install -m755 bin/{kotlin,kotlinc,kotlinc-js,kotlinc-jvm} $PKG/usr/bin
+install -m644 lib/*.jar $PKG/usr/share/kotlin/lib
+install -m644 build.txt $PKG/usr/share/kotlin/
+install -m644 license/third_party/*.txt license/*.txt $PKG/usr/share/kotlin/licenses
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+ln -s ../../share/kotlin/build.txt $PKG/usr/doc/$PRGNAM-$VERSION
+ln -s ../../share/kotlin/licenses $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}